package com.example.bytheway.Activity;

import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.graphics.Typeface;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;
import android.view.WindowManager;

import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.app.AppCompatActivity;

import com.example.bytheway.R;
import com.example.bytheway.UrlObject.UrlObject;

import java.io.IOException;

import okhttp3.Call;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;

public class RegisterActivityOne extends AppCompatActivity {
    private EditText UserTelEdit,UserNameEdit,PassWordEdit;
    private Button ReturnLogin,NextButton;
    private TextView RegisterTitleText;
    String UserTel,UserName,Password;

    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_register_pageone);
        getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN, WindowManager.LayoutParams.FLAG_FULLSCREEN);
        UserTelEdit = (EditText)findViewById(R.id.UserTelEdit);
        UserNameEdit = (EditText)findViewById(R.id.UserNameEdit);
        PassWordEdit = (EditText)findViewById(R.id.PassWordEdit);
        ReturnLogin = (Button)findViewById(R.id.ReturnLogin);
        NextButton = (Button)findViewById(R.id.NextButton);
        RegisterTitleText = (TextView)findViewById(R.id.RegisterTitleText);
        Typeface typeFace =Typeface.createFromAsset(getAssets(),"fonts/CYJT.ttf");
        RegisterTitleText.setTypeface(typeFace);

        ReturnLogin.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(RegisterActivityOne.this,LoginActivity.class);
                startActivity(intent);
            }
        });

        NextButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                UserTel = UserTelEdit.getText().toString().trim();
                UserName = UserNameEdit.getText().toString().trim();
                Password = PassWordEdit.getText().toString().trim();
                Intent intent = new Intent(RegisterActivityOne.this,RegisterActivityTwo.class);
                intent.putExtra("UserRegisterTel",UserTel);
                intent.putExtra("UserRegisterName",UserName);
                intent.putExtra("RegisterPassword",Password);
                String msg = "下一步";
                Toast.makeText(RegisterActivityOne.this, msg, Toast.LENGTH_SHORT).show();
                startActivity(intent);
            }
        });


}}
