package com.example.bytheway.ui.zone;

import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;

import com.example.bytheway.Activity.CoinActivity;
import com.example.bytheway.Activity.LoginActivity;
import com.example.bytheway.Activity.order_historyActivity;
import com.example.bytheway.R;
import com.example.bytheway.ui.User;


//个人中心界面
public class ZoneFragment extends Fragment {
    User user;
    ImageView userHead;
    TextView userName;
    private ImageButton money,history,message,logout;
    View view=null;
    private SharedPreferences pref;
    private SharedPreferences.Editor editor;

    public ZoneFragment(){

    }

    @Override
    public void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
     //   setUserInfo();

    }

    @Nullable
    @Override
    public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        if (view==null){
            view=inflater.inflate(R.layout.fragment_zone,container,false);
            userHead=(ImageView)view.findViewById(R.id.zone_user_head);
            userName=(TextView)view.findViewById(R.id.zone_user_name);
            setUserInfo();
            money=(ImageButton)view.findViewById(R.id.to_money);
            money.setOnClickListener(new View.OnClickListener() {
                @Override
                public void onClick(View v) {
                    Toast.makeText(getContext(),"coin",Toast.LENGTH_SHORT).show();
                    Intent intent=new Intent(getActivity(), CoinActivity.class);
                    startActivity(intent);
                }
            });
            history=(ImageButton)view.findViewById(R.id.to_history);
            history.setOnClickListener(new View.OnClickListener() {
                @Override
                public void onClick(View v) {
                    Toast.makeText(getContext(),"history",Toast.LENGTH_SHORT).show();
                    Intent intent=new Intent(getActivity(),order_historyActivity.class);
                    startActivity(intent);
                }
            });
            message=(ImageButton)view.findViewById(R.id.to_message);
            logout=(ImageButton) view.findViewById(R.id.to_logout);
            logout.setOnClickListener(new View.OnClickListener(){
                @Override
                public void onClick(View v) {
                    Toast.makeText(getContext(),"退出成功",Toast.LENGTH_SHORT).show();
                    Intent intent=new Intent(getActivity(), LoginActivity.class);
                    editor = pref.edit();
                    editor.clear();

                    startActivity(intent);
                }
            });
        }

        return view;
    }

    public void setUserInfo(){
        pref = PreferenceManager.getDefaultSharedPreferences(getContext());
        userName.setText(pref.getString("userName","sb"));
        userHead.setImageResource(pref.getInt("user_head", R.mipmap.defaulthead));

    }

}

//    View.OnClickListener onClickListener = new View.OnClickListener() {
//        @Override
//        public void onClick(View v) {
//            switch (v.getId()) {
//                case R.id.to_money:
//                    Toast.makeText(getContext(),"coin",Toast.LENGTH_SHORT).show();
//                    Intent intent=new Intent(getActivity(), CoinActivity.class);
//                    startActivity(intent);
//                    break;
//                default:break;
//            }
//        }
//    };