package com.example.bytheway.Activity;

import android.content.Intent;
import android.graphics.Typeface;
import android.os.Bundle;
import android.os.Handler;
import android.view.WindowManager;
import android.widget.TextView;

import androidx.appcompat.app.ActionBar;
import androidx.appcompat.app.AppCompatActivity;

import com.example.bytheway.R;

public class FlashActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_splash);
        ActionBar actionBar = getSupportActionBar();
        getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN, WindowManager.LayoutParams.FLAG_FULLSCREEN);
        TextView textView1 =(TextView)findViewById(R.id.textView1);
        TextView textView2 =(TextView)findViewById(R.id.textView2);
        TextView textView3 =(TextView)findViewById(R.id.textView3);
        Typeface typeFace1 =Typeface.createFromAsset(getAssets(),"fonts/HYYanLingTiJ.ttf");
        Typeface typeFace2 =Typeface.createFromAsset(getAssets(),"fonts/HYShouJinShuJ.ttf");
        textView1.setTypeface(typeFace1);
        textView2.setTypeface(typeFace2);
        textView3.setTypeface(typeFace2);
        if(actionBar != null)
            actionBar.hide(); //隐藏启动页标题栏
        getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN,
                WindowManager.LayoutParams.FLAG_FULLSCREEN);
        new Handler().postDelayed(new Runnable() {
            @Override
            public void run() {

                Intent intent = new Intent(FlashActivity.this, LoginActivity.class);
                startActivity(intent);
                overridePendingTransition(R.anim.translate_in, R.anim.translate_out); //动画效果显示
                finish();
            }
        }, 3000);
    }
}
